std::_Enable_default_constructor< _Switch, _Tag >(3cxx)

NAME
std::_Enable_default_constructor< _Switch, _Tag > - A mixin helper to conditionally enable or disable the default constructor.

SYNOPSIS

  Public Member Functions

constexpr _Enable_default_constructor (_Enable_default_constructor &&) noexcept=default
constexpr _Enable_default_constructor (_Enable_default_constructor const &) noexcept=default
constexpr _Enable_default_constructor (_Enable_default_constructor_tag)
_Enable_default_constructor & operator= (_Enable_default_constructor &&) noexcept=default
_Enable_default_constructor & operator= (_Enable_default_constructor const &) noexcept=default

Detailed Description

  template<bool _Switch, typename _Tag = void>
struct std::_Enable_default_constructor< _Switch, _Tag >" A mixin helper to conditionally enable or disable the default constructor.

See also
    _Enable_special_members

Definition at line 50 of file enable_special_members.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.